Skip to main content Click to view our Accessibility Statement or contact us with accessibility-related questions.

Fiery EXP8000 Installer for MacIntosh OS X

Description

Installs the PPD (Postscript Printer Description) and other Files required to print to the Fiery EXP8000 and DocuColor 8000/7000.

Supported platforms

  • Mac OS X 10.5 or lower

Supported languages

  • English (N. America)

Supported products

  • Fiery EXP8000
  • DocuColor 7000/8000 Digital Press

Digital Front End

  • Fiery EXP8000

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation